Bug 105712 - segfault went attempting to install a package into an empty db
segfault went attempting to install a package into an empty db
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 15:27 EDT by Adrian Likins
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:34:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of rpm segfaulting (36.20 KB, text/plain)
2003-09-26 15:29 EDT, Adrian Likins
no flags Details

  None (edit)
Description Adrian Likins 2003-09-26 15:27:06 EDT
Description of problem:

[root@isqa3 bin]# ls -la /tmp/foo2/
total 8
drwxr-xr-x    2 root     root         4096 Sep 27 04:25 .
drwxrwxrwt   11 root     root         4096 Sep 27 04:21 ..
[root@isqa3 bin]# rpm -ivh --dbpath /tmp/foo2 --justdb
/mnt/ftpdisk/redhat/linux/beta/taroon/en/as/ppc/RedHat/RPMS/redhat-release-2.9.5AS-9.ppc.rpm
warning:
/mnt/ftpdisk/redhat/linux/beta/taroon/en/as/ppc/RedHat/RPMS/redhat-release-2.9.5AS-9.ppc.rpm:
V3 DSA signature: NOKEY, key ID 897da07a
Segmentation fault

Seems to work on a x86_64 I tried, but segvaults on a ppc64

Version-Release number of selected component (if applicable):
[root@isqa3 bin]# rpm -q --queryformat "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n" rpm
rpm-4.2.1-3.ppc


How reproducible:
seems to do it everytime


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Adrian Likins 2003-09-26 15:29:02 EDT
Created attachment 94765 [details]
strace of rpm segfaulting
Comment 2 Leonard den Ottolander 2004-03-10 09:31:11 EST
Is this still an issue with rpm-4.2.1-4.2?
Comment 3 Paul Nasrat 2005-09-29 10:47:44 EDT
Adrian do you still see this with latest rpm erratum for RHEL 3 on ppc?
Comment 5 RHEL Product and Program Management 2007-10-19 15:34:24 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.